Subject: Re: [PATCH net-next 0/3] Unlock new potential in SJA1105 with PTP system timestamping

From: Richard Cochran <[email-masked]>
Date: Sat, 9 Nov 2019 07:19:42 -0800

On Sat, Nov 09, 2019 at 01:32:21PM +0200, Vladimir Oltean wrote:
> The SJA1105 being an automotive switch means it is designed to live in a
> set-and-forget environment, far from the configure-at-runtime nature of
> Linux. Frequently resetting the switch to change its static config means
> it loses track of its PTP time, which is not good.
> 
> This patch series implements PTP system timestamping for this switch
> (using the API introduced for SPI here:
> https://www.mail-archive.com/[email-masked]/msg316725.html),
> adding the following benefits to the driver:
> - When under control of a user space PTP servo loop (ptp4l, phc2sys),
>   the loss of sync during a switch reset is much more manageable, and
>   the switch still remains in the s2 (locked servo) state.
> - When synchronizing the switch using the software technique (based on
>   reading clock A and writing the value to clock B, as opposed to
>   relying on hardware timestamping), e.g. by using phc2sys, the sync
>   accuracy is vastly improved due to the fact that the actual switch PTP
>   time can now be more precisely correlated with something of better
>   precision (CLOCK_REALTIME). The issue is that SPI transfers are
>   inherently bad for measuring time with low jitter, but the newly
>   introduced API aims to alleviate that issue somewhat.
> 
> This series is also a requirement for a future patch set that adds full
> time-aware scheduling offload support for the switch.
> 
> Vladimir Oltean (3):
>   net: dsa: sja1105: Implement the .gettimex64 system call for PTP
>   net: dsa: sja1105: Restore PTP time after switch reset
>   net: dsa: sja1105: Disallow management xmit during switch reset

For the series:

Acked-by: Richard Cochran <[email-masked]>